Go to the latest version of this document.
search in docstrings

Search bar offers the following options:

- Term presence. The below example searches for documents that must contain “foo”, might contain “bar” and must not contain “baz”: `+foo bar -baz`
- Wildcards. The below example searches for documents with words beginning with “foo”: `foo*`
- Search in specific fields. The following search matches all objects in "twisted.mail" that matches “search”: `+qname:twisted.mail.* +search`

  Possible fields: 'name', 'qname' (fully qualified name), 'docstring', and 'kind'. Last two fields are only applicable if "search in docstrings" is enabled.

- Fuzzy matches. The following search matches all documents that have a word within 1 edit distance of “foo”: `foo~1`

Results provided by Lunr.js

# ``twisted`.`words`.`protocols`.`jabber`.`client``

module documentation
(source)

Undocumented

Class | `BasicAuthenticator` | Authenticates an XmlStream against a Jabber server as a Client.
Class | `BindInitializer` | Initializer that implements Resource Binding for the initiating entity.
Class | `CheckVersionInitializer` | Initializer that checks if the minimum common stream version number is 1.0.
Class | `IQ` | Wrapper for a Info/Query packet.
Class | `IQAuthInitializer` | Non-SASL Authentication initializer for the initiating entity.
Class | `SessionInitializer` | Initializer that implements session establishment for the initiating entity.
Class | `XMPPAuthenticator` | Initializes an XmlStream connecting to an XMPP server as a Client.
Function | `basicClientFactory` | Undocumented
Function | `XMPPClientFactory` | Client factory for XMPP 1.0 (only).
Constant | `NS_IQ_AUTH_FEATURE` | Undocumented
Constant | `NS_XMPP_BIND` | Undocumented
Constant | `NS_XMPP_SESSION` | Undocumented
Constant | `NS_XMPP_STREAMS` | Undocumented
Variable | `DigestAuthQry` | Undocumented
Variable | `PlaintextAuthQry` | Undocumented

def basicClientFactory(jid, secret): (source)

Undocumented

def XMPPClientFactory(jid, password, configurationForTLS=None): (source)

Client factory for XMPP 1.0 (only).

This returns a `xmlstream.XmlStreamFactory` with an `XMPPAuthenticator` object to perform the stream initialization steps (such as authentication).

Parameters
jid:`jid.JID` | Jabber ID to connect with.
password:`unicode` | password to authenticate with.

configurationForTLS:`IOpenSSLClientConnectionCreator` or `None`

An object which creates appropriately configured TLS connections. This is passed to `startTLS` on the transport and is preferably created using `twisted.internet.ssl.optionsForClientTLS`. If `None`, the default is to verify the server certificate against the trust roots as provided by the platform. See `twisted.internet._sslverify.platformTrust`.

Returns
`xmlstream.XmlStreamFactory` | XML stream factory.
See Also
The notes at `XMPPAuthenticator` describe how the `jid` and `password` parameters are to be used.

NS_IQ_AUTH_FEATURE: `str` = (source)

Undocumented

Value

    'http://jabber.org/features/iq-auth'

NS_XMPP_BIND: `str` = (source)

Undocumented

Value

    'urn:ietf:params:xml:ns:xmpp-bind'

NS_XMPP_SESSION: `str` = (source)

Undocumented

Value

    'urn:ietf:params:xml:ns:xmpp-session'

NS_XMPP_STREAMS: `str` = (source)

Undocumented

Value

    'urn:ietf:params:xml:ns:xmpp-streams'

DigestAuthQry = (source)

Undocumented

PlaintextAuthQry = (source)

Undocumented